Skip to main content
POST
Update a letter template

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Body

application/json
address_position
enum<string>
default:left

Which side of page 1 the recipient address window is printed on.

Available options:
left,
right
blocks
object[]

Ordered content blocks that make up the letter body.

Minimum array length: 1
description
string | null

An optional description of when to use this template.

name
string

The name of the letter template.

Minimum string length: 1
recipient_type
enum<string>
default:customer

Who this template is intended for. any can be used with either customers or owners.

Available options:
any,
customer,
owner
variables
object[]

Custom variables that can be passed when creating a letter from this template.

Response

200 - application/json

Returns the letter template object if the update succeeded.

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
letter_template
address_position
enum<string>
required

Which side of page 1 the recipient address window is printed on.

Available options:
left,
right
blocks
object[]
required

Ordered content blocks that make up the letter body.

description
string | null
required

An optional description of when to use this template.

merge_fields
string[]
required

Merge fields that can be interpolated in heading and text blocks.

name
string
required

The name of the letter template.

recipient_type
enum<string>
required

Who this template is intended for. any can be used with either customers or owners.

Available options:
any,
customer,
owner
variables
object[]
required

Custom variables that can be passed when creating a letter from this template.

account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.